Bug 1429178 - Objects List view does not show Provider name/Project
Summary: Objects List view does not show Provider name/Project
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: zakiva
QA Contact: Shalom Naim
URL:
Whiteboard: container
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-05 11:35 UTC by Einat Pacifici
Modified: 2018-08-28 09:04 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:38:32 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:
snaim: automate_bug+


Attachments (Terms of Use)
Screenshot with no Provider details (90.23 KB, image/png)
2017-03-05 11:35 UTC, Einat Pacifici
no flags Details
Screenshots of all CFME views on 5.8.0.11 (388.06 KB, application/x-gzip)
2017-04-23 12:06 UTC, Shalom Naim
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Einat Pacifici 2017-03-05 11:35:25 UTC
Created attachment 1260053 [details]
Screenshot with no Provider details

Description of problem:
Viewing list views of pods, projects, services etc. does not show the Provider or Project name relevant for that object

Version-Release number of selected component (if applicable):
5.8.0.3

How reproducible:
Always

Steps to Reproduce:
1.Navigate to Control-->Pods/Projects/Services...
2.View items in list view


Actual results:
In table provided, the Provider column and Project column are empty

Expected results:
The Provider column and project column should be populated with relevant details. 

Additional info:
Screenshot provided.

Comment 2 zakiva 2017-03-09 11:12:13 UTC
Bug fix: https://github.com/ManageIQ/manageiq/pull/14243

Comment 3 zakiva 2017-03-27 10:17:47 UTC
The issue was introduced in https://github.com/ManageIQ/manageiq/pull/13675 which was reverted in https://github.com/ManageIQ/manageiq/pull/14439.

Comment 4 Shalom Naim 2017-04-23 12:05:13 UTC
I found that project list view the display name column is empty.
See attachment

Assigning back to development

Comment 5 Shalom Naim 2017-04-23 12:06:43 UTC
Created attachment 1273450 [details]
Screenshots of all CFME views on 5.8.0.11

Comment 6 zakiva 2017-04-24 08:20:34 UTC
Shalom, the display name column of projects is an optional field and can be empty, this is not a bug. Please note that this BZ is about not displaying the names of a project/provider in relations columns, e.g. displaying provider name in projects list view, displaying project & provider names in pods list view, etc.  

Moving back to QE.

Comment 8 errata-xmlrpc 2017-05-31 14:38:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.